#
# spec file for package sesam_srv (Version 3.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sesam_srv
BuildRequires:  unixODBC update-desktop-files xorg-x11 java-1_6_0-openjdk-devel
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
Version:        3.0.1
Release:        171.35.1
License:        NON-OSI-COMPLIANT(royalties)
ExclusiveArch:  %ix86
Summary:        SEP sesam Server for Linux
Group:          System/Management
Url:            http://www.sep.de/
AutoReq:        yes
AutoProv:       no
Source0:        sesam_srv-suse.tgz
Patch0:         sesam_srv-suse.diff
Provides:       sesam
Provides:       libsm.so
Requires:       XFree86 java java-jdbc unixODBC
Conflicts:      sesam_cli sesam_gui
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SEP sesam is an automatic data backup system for heterogenous network
environments.



%prep

%install
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
tar xfzv %SOURCE0 --atime-preserve 
patch -p1 < %PATCH0
chmod 644 `find %buildroot/%_defaultdocdir/sesam/ -type f`
%suse_update_desktop_file Sesam-GUI
%if 0%{?suse_version} > 1020
%fdupes -s %buildroot
%endif

%postun
%insserv_cleanup
if [ $1 -eq 0 ]
then
  test -d var/opt/sesam     && rm -rf var/opt/sesam
  test -f etc/sesam2000.ini && rm -rf etc/sesam2000.ini
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc %{_docdir}/sesam
%dir /opt/sesam
%dir /opt/sesam/bin
/opt/sesam/bin/db
%dir /opt/sesam/bin/gui
/opt/sesam/bin/gui/sesam_gui
%verify(not mode) /opt/sesam/bin/gui/sm_rmigui.jar
/opt/sesam/bin/sesam
/opt/sesam/bin/sms
/opt/sesam/skel
/etc/init.d/sesam
/usr/sbin/rcsesam
/usr/share/applications/Sesam-GUI.desktop
%verify(not mode) /usr/share/pixmaps/sepsesam_kde.xpm

%changelog
* Tue Dec 29 2009 varkoly@suse.de
- bnc#551636 - sesam_srv-3.0.1-171.1.1.i586 cannot be installed
* Tue Jan 27 2009 varkoly@suse.de
- bnc#469171 - sesam_srv incorrectly provides libodbc.so.1
* Fri Jan  9 2009 olh@suse.de
- use ExclusiveArch as in /SRC/arch/
* Wed Nov  5 2008 ro@suse.de
- fix init script headers
* Thu Aug 16 2007 ro@suse.de
- fix macro usage for insserv_cleanup
* Fri Jul 13 2007 varkoly@suse.de
- adapt the spec file for openSUSE 10.3
* Mon May 14 2007 coolo@suse.de
- fix desktop file
* Mon Oct 16 2006 varkoly@suse.de
- new version 3.0.1
  - no changelog available anywhere, sorry
* Fri Mar 17 2006 varkoly@suse.de
- new version 2.4.1
- Fixing requiers: java java-jdbc
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 ro@suse.de
- changed requires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Sep 13 2005 varkoly@suse.de
- Correcture of the english licence
* Tue Aug  9 2005 varkoly@suse.de
- Update for 10.0
- Bugfix: fixing bad %%postun script
- Bugfix: correcting bad pixmap-Path
* Tue Mar 15 2005 varkoly@suse.de
- Update for 9.3
* Mon Nov 29 2004 varkoly@suse.de
-  Bugfix: for the KDE-Desktop file
* Tue Oct  5 2004 varkoly@suse.de
- Bugfix: enhancing rpm requirement by java-1_4_2-sun-jdbc
* Thu Sep 30 2004 varkoly@suse.de
- bugifix: /opt/sesam/bin/sesam/sm_main call "kill -s SIGUSR1" was changed
- new file: /usr/share/applications/Sesam-GUI.desktop
* Wed Sep 29 2004 varkoly@suse.de
- removing "setJava" from init script
* Wed Sep 29 2004 varkoly@suse.de
- enhancing and repairing post uninstall script
* Tue Sep 28 2004 mmj@suse.de
- Update for 9.2, packaged in a way for us that cleans up install,
  thanks Peter Varkoly for help with this package
* Wed Sep 15 2004 mmj@suse.de
- Add setup script from Peter Varkoly, moving %%post into that one
- Remove failing %%pre snippet for now
- Add symlink from /usr/sbin/rcsesam -> /etc/init.d/sesam
* Wed Sep  8 2004 skh@suse.de
- Fix filelist.
* Tue Sep  7 2004 skh@suse.de
- Correct use of %%{prefix} in %%post (ro@suse.de)
- HACK: exclude some files from verification check until we know what
  happens and how to correct it.
* Mon Sep  6 2004 skh@suse.de
- Initial package created with version 2.0.2
